#include <stdio.h>

main() /* formatierte Ein und Ausgabe  */
/* nach Aufruf b15  Eingabe: "mit 18 ab ins 08.15" */
{
        int d,x; 
        float f; 
        char c, cf[5];

        scanf("mit%d%x%2s%c%f", &d, &x, cf, &c, &f);
        printf("%.2f %x %d %s %c\n", f, x, d, cf, c);
}
